# Generated from aruba-win-fix-0.14.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name aruba-win-fix

Name: rubygem-%{gem_name}
Version: 0.14.2
Release: 1%{?dist}
Summary: aruba-0.14.2
License: MIT
URL: http://github.com/rbld/aruba
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
BuildArch: noarch

%description
Fork of cucumber/aruba with fixes for broken Windows support.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/aruba
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.simplecov
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_instdir}/TODO.md
%{gem_instdir}/appveyor.yml
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_instdir}/fixtures
%{gem_libdir}
%{gem_instdir}/script
%{gem_instdir}/templates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/aruba.gemspec
%{gem_instdir}/cucumber.yml
%doc %{gem_instdir}/doc
%{gem_instdir}/features
%{gem_instdir}/spec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.14.2-1
- Initial package
